<?php
// -------------------------------------------------------------------------------------------------
// somewhere to store common strings that we might want to change without having to dig through
// existing code; plus has some hiliarity-arrays to use in various bits of the site
//
// included via common_begin.php
// -------------------------------------------------------------------------------------------------

// authentication
define('LS_USER_NOT_ACTIVATED', 
  "Account not activated. Check your email and use the link in it. If you didn't receive an email, drop an email to jon blyth at the gmail."); 

define('LS_USER_BANNED', 
  "Account banned. What the fuck were you up to?");

  
// hello
define('LS_WECLOME_HTML_MSG', 
  "<p>'Sputnik moment? Spunky knicks moment more like.' - Sam Altman</p>" .
  "<p>'You don't get many of <em>them</em> to the pound' - Raphael Maklouf</p>" .
  "<p>'Wot a cunt' - Listopia, 2008-2025</p>");

// hello for when the time sensetive shit is done
define('LS_WECLOME_HTML_MSG_OLD', 
  "<p>Welcome to Listopia, the home of the half-baked comedy list. We've got so many lists, they're coming out of our arses. This grotesque process of anal list birthing goes some way towards explaining their general quality, and some of their pungency. It probably isn't hygienic, but it's great for your immune system.</p>" .
  "<p>Join in, if you like. There's nothing stopping you except your own high standards.</p>" .
  "<p>There's a <a href='news.php'>news page</a> here, if you care.</p>");

  
// login / signup
$LS_LOGIN_TITLES = array(
  "Putting the IN back into LOGGING",
  "Keylogger Installed, Go Ahead",
  "Knock knock / who's there / log / log who",
  "Quick before mother returns home",
  "Come smash our back doors in"
);

define('LS_SIGNUP_SPIEL', 
  "Signing up means you can add to lists, have bold and unabashed opinions, chat to people, draw monochrome doodles, and create your own lists. It could be a wonderful list. Or it could be that list of funny things to do in a lift that's been knocking around the internet for 19 years. The balls are literally in your court and mouth.");
      
define('LS_SIGNUP_BUTTON', 
  "CHRIST YES I WANT ALL OF THIS");
      
// profile
define('LS_PROFILE_INVALID_USERID', 
  "Seriously. I don't know who this is. Go Away.");


// messages
define('LS_MESSAGES_DOCUMENT_TITLE', 
  "上市地 - Communications"); 
define('LS_MESSAGES_WHEN_LOGGEDOUT', 
  "Imagine all the sexy chat you'd see if you were <a href='#StuffTab'>logged in</a>");

define('LS_MESSAGES_NOTHING_IN_THE_BOX', 
  "Nothing here.");

define('LS_INBOX_DESC', 
  "Hot New Guff From Your Pals");
define('LS_ARCHIVE_DESC', 
  "No, We Don't Delete Anything, Ever");
define('LS_SENT_DESC', 
  "The Page That Will Be Entered Into Evidence For The Trial");
define('LS_COMPOSE_DESC', 
  "we jus like gmail innit but not as bear good blud");

  
// lists
define('LS_COMMENT_ADD_BUTTON', 
  "Spill your guts");
define('LS_LIST_COMMENT_ADD_BUTTON', 
  "Thoughts?");

define('LS_LIST_404_TITLE', 
  "404 List Not Found");
define('LS_LIST_404_DESC', 
  "Either you asked for an invalid list, or no list at all");
  

// new list
define('LS_NEWLIST_DOCUMENT_TITLE', 
  "上市地 - It Begins"); 
define('LS_NEWLIST_TITLE', 
  "Create A New List");
define('LS_NEWLIST_DESC', 
  "This is where the tragic happens");
define('LS_NEWLIST_AREYOUREADY',
  "Are you ready? Are you?");
define('LS_NEWLIST_NOTLOGGEDIN',
  "Why are you here?");
  
  
// sex goat
define('LS_GALLERY_DOCUMENT_TITLE', 
  "上市地 - Gallery Of Wonder"); 
define('LS_GALLERY_TITLE', 
  "The Gallery");
define('LS_GALLERY_DESC', 
  "Full colour prints can be ordered from your local butchers");

  
// front page
define('LS_INDEX_DOCUMENT_TITLE', 
  "上市地"); 
define('LS_INDEX_TITLE', 
  "A few lists to start you off");
define('LS_INDEX_DESC', 
  "Can I interest you in something from the trolley, sir?");

  
// news
define('LS_NEWS_DOCUMENT_TITLE', 
  "上市地 - Looks Dead, But It Isn't"); 
define('LS_NEWS_TITLE', 
  "上市地 News 24");
define('LS_NEWS_DESC', 
  "Spooling fresh doings into your bewildered face");

  
// new stuff
define('LS_NEWSTUFF_DOCUMENT_TITLE', 
  "上市地 - Latest Stuff");
define('LS_NEWSTUFF_TITLE', 
  "Because newer is bester");
define('LS_NEWSTUFF_DESC', 
  "The freshest cuts of list-beef in your lap");
  
  // new stuff
define('LS_ACFEED_DOCUMENT_TITLE', 
  "上市地 - Activity Feed");
define('LS_ACFEED_TITLE', 
  "Activity Feed");
define('LS_ACFEED_DESC', 
  "It's all me, me, me");
  
define('LS_NEWSTUFF_WHEN_LOGGEDOUT', 
  "You'll need to be <a href='#StuffTab'>logged in</a> to see what's new");

// login / signup
$LS_LATEST_STUFF_GROUPINGS = array(
  "wet burps, similar to:",
  "comedy queefs, check it:",
  "fresh smears, such as this:",
  "piles of hot stank, look see:",
  "steaming expulsions, indeed:",
  "ha ha omg lolz:"
);  
  
// new user
define('LS_NEWUSER_DOCUMENT_TITLE', 
  "上市地 - Come Inside Us"); 
define('LS_NEWUSER_TITLE', 
  "Signing Up To A Website");
define('LS_NEWUSER_DESC', 
  "Via This Legally Binding Contract");
  
define('LS_NEWUSER_ALREADY_SIGNEDIN', 
  "You're already a member you spaz");


// overview
define('LS_OVERVIEW_DOCUMENT_TITLE', 
  "上市地 - The Stuff We Got"); 
define('LS_OVERVIEW_TITLE', 
  "Those Lists You Wanted");
define('LS_OVERVIEW_DESC', 
  "As Recommended By Nick Jojola");

define('LS_OVERVIEW_UNKNOWN_SEARCH',
  "A big yellow death bullet");

  
// search 
define('LS_SEARCH_DOCUMENT_TITLE', 
  "上市地 - Search");
define('LS_SEARCH_TITLE', 
  "Find It All");
define('LS_SEARCH_DESC', 
  "> DEEP WEB TERMINAL OPEN");
    
  
// search 
define('LS_AI_DOCUMENT_TITLE', 
"上市地 - Infinity");
define('LS_AI_TITLE', 
"The Flood");
define('LS_AI_DESC', 
"Unlimited Horseshit");
  
